I think I’ve got some kind of issue with conflicting jQuery libraries in my wordpress site.. although nothing I can see is really giving me any helping hand to identify exactly what needs changing.

I’m calling jQuery UI and the file in the footer:

<script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js"></script>
<script src="<?php bloginfo('template_directory');?>/js/jquery.smoothdivscroll-1.3-min.js"></script>

And adding this below:

<script type="text/javascript">
jQuery(document).ready(function ($) {
  $("#online-scroller").smoothDivScroll({
    autoScrollingMode: "always",
    autoScrollingDirection: "endlessLoopRight",
    autoScrollingStep: 1,
    autoScrollingInterval: 15 
  });
  $("#online-scroller").bind("mouseover", function () {
    $("#online-scroller").smoothDivScroll("stopAutoScrolling");
  });
  $("#online-scroller").bind("mouseout", function () {
    $("#online-scroller").smoothDivScroll("startAutoScrolling");
  });
});

But no matter what combination of $ or jQuery I try to do, I keep getting this error in the console:

Uncaught TypeError: undefined is not a function

At the moment, this error is being called in the smoothdivscroll JS file at line 10. Get the file at http://smoothdivscroll.com/download.html

Thomas, if you’re reading this, please help?

Read more here: Uncaught TypeError: undefined is not a function - jQuery Smooth Div Scroll


Solution:

If you know the solution of this issue, please leave us a reply in Comment section, to update the question.

Related Wordpress search:

, , , , , , ,

Wordpress related questions and answers: